import { createVNode as _createVNode } from "vue";
import { computed, defineComponent } from 'vue';
import classNames from '../../_util/classNames';
var ColorBlock = defineComponent({
  name: 'ColorBlock',
  props: ['color', 'prefixCls', 'onClick'],
  setup: function setup(props) {
    var colorBlockCls = computed(function () {
      return "".concat(props.prefixCls, "-color-block");
    });
    return function () {
      return _createVNode("div", {
        "class": classNames(colorBlockCls.value),
        "onClick": props.onClick
      }, [_createVNode("div", {
        "class": "".concat(colorBlockCls.value, "-inner"),
        "style": {
          background: props.color
        }
      }, null)]);
    };
  }
});
export default ColorBlock;